
QGIS Application - Bug report #11390

Attribute table in map composer : set column width to automatic is not large enough

2014-10-11 10:41 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19673

Description

add an attribute table to a map composer

Let the columns width set to automatic.

It seems that it is not large enough to contain some values 

get a look to the joined file.

History

#1 - 2014-10-11 11:37 AM - Giovanni Manghi

- Priority changed from High to Normal

#2 - 2014-10-11 12:51 PM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce this. Can you please atta h a sample project/dataset which demonstrates this issue?

#3 - 2014-10-11 01:01 PM - Harrissou Santanna

- File com.7z added

some data

#4 - 2014-10-11 01:19 PM - Giovanni Manghi

Harrissou Santanna wrote:

some data

I also can't confirm (using your data on QGIS master).

#5 - 2014-10-11 01:53 PM - Harrissou Santanna

It still doesn't work here.

I'm on windows 8,  Master 32bits 34ccc81
#6 - 2014-10-12 01:19 PM - Nyall Dawson

Looks fine to me - under Windows 7 64 bit. It may be a Windows 8 issue - can you test on any other platforms? Also, can you please test with 2.4 and see

if this is a regression?

#7 - 2014-10-13 03:23 AM - Harrissou Santanna

Same bug with 2.4 on Windows 8 (8.1 to be precise)

But trying it on Mac OS X, it's ok with 2.4 (I don't have Master on Mac OS yet). But it also works on another PC with Win 7 64bits.

It may be a Windows 8 issue, indeed (or a local one, even though I'm pretty sure I changed nothing). Can anyone else confirm, please?

#8 - 2014-10-31 05:55 AM - Jürgen Fischer

- Target version changed from Version 2.6 to Future Release - High Priority

#9 - 2015-12-27 05:07 AM - Giovanni Manghi

- OS version set to 8

- Status changed from Feedback to Open

- Operating System set to Windows

#10 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

automaticcolumnwidthtoosmall.png 40.5 KB 2014-10-11 Harrissou Santanna

com.7z 1.95 MB 2014-10-11 Harrissou Santanna
